Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.session
Interface IEssbase

All Superinterfaces:
  IEssBaseObject

public interface IEssbase
extends IEssBaseObject

The IEssbase represent client sessions with the Essbase.

Nested Class Summary
`static class` | `IEssbase.EEssAuthenticatorType` The EEssAuthenticatorType is an enumeration of user authenticators.
`static class` | `IEssbase.EEssOrbPluginType` The EEssOrbPluginType is an enumeration of supported ORB plug-in types.
`static class` | `IEssbase.Home` The Home is a factory for creating JAPI instances.

Field Summary
`static java.lang.String` | `JAPI_VERSION` Essbase JAPI version.

Method Summary
`void` | `changePassword(java.lang.String newPassword)` Changes the password for the signed on user.
`IEssCollection` | `createIEssCollection()` Creates an object for the interface IEssCollection.
`IEssValueAny` | `createIEssValueAny()` Creates an object for the interface IEssValueAny.
`java.lang.String` | `getApiVersion()` Gets the version of the Essbase JAPI.
`java.lang.String` | `getApiVersionDetail()` Gets details about this JAPI version and the compatibility info with the client it is compiled with.
`java.lang.String` | `getCssToken()` Gets the token associated with CSS authentication.
`java.lang.String` | `getDomainName()` Gets the name of the signed on Essbase domain name.
`IEssLocationInfo[]` | `getLocationInfoForRunningEnterpriseServers()` Gets the location information for the running Enterprise server instances.
`int` | `getNetRetryCount()` Gets the count of maximum retry attempts in case a connection cannot be established with the EDS server.
`int` | `getNetRetryInterval()` Gets the interval (in milliseconds) between retry attempts in case a connection cannot be established with the EDS server.
`IEssDomain` | `getRootDomain()` Gets the root domain of the domain forest.
`IEssSession[]` | `getSessions()` Gets information about sessions of all the users signed on to EDS server.
`java.lang.String` | `getUserName()` Gets the name of the signed on user name.
`boolean` | `isAssertionsEnabled()` Checks if assertions are enabled.
`boolean` | `isDedicatedServerThreadNeeded()` Checks if this JAPI client needs dedicated server thread for the lifetime of the session.
`boolean` | `isGlobalClientCachingEnabled()` Checks if global client caching is enabled.
`boolean` | `isSecureCommunicationEnabled()` Checks if secure communication (SSL) is enabled.
`boolean` | `isSignedOn()` Checks if the user is signed on to a domain.
`java.lang.String` | `restoreCssToken(java.lang.String token)` Restores a timed out CSS token by resetting the timeout counter in the token, thereby extending the life of the token for future usage.
`void` | `setAssertionsEnabled(boolean assertionsEnabled)` Sets if assertions are enabled.
`void` | `setDedicatedServerThreadNeeded(boolean needDedicatedServerThread)` Sets if this JAPI client needs dedicated server thread for the life time of the session.
`void` | `setGlobalClientCachingEnabled(boolean enableCaching)` Sets if global client caching is enabled.
`void` | `setNetRetryCount(int netRetryCnt)` Sets the count of maximum retry attempts in case a connection cannot be established with the EDS server.
`void` | `setNetRetryInterval(int netRetryInvl)` Sets the interval (in milliseconds) between retry attempts in case a connection cannot be established with the EDS server.
`void` | `setSecureCommunicationEnabled(boolean secureCommunication)` Sets if secure communication (SSL) is enabled.
`void` | `signOff()` Signs off the user from the Essbase domain.
`IEssDomain` | `signOn(java.lang.String cssToken, java.lang.String domainName, java.lang.String edsUrl)` Signs on the user to the essbase domain.
`IEssDomain` | `signOn(java.lang.String cssToken, java.lang.String domainName, java.lang.String prefEesSvrName, IEssbase.EEssOrbPluginType orbPluginType, int port)` Signs on the user to the essbase domain.
`IEssDomain` | `signOn(java.lang.String userName, java.lang.String password, java.lang.String domainName, java.lang.String eesUrl)` Signs on the user to the essbase domain.
`IEssDomain` | `signOn(java.lang.String userName, java.lang.String password, java.lang.String domainName, java.lang.String prefEesSvrName, IEssbase.EEssOrbPluginType orbPluginType, int port)` Signs on the user to the essbase domain.
`IEssOlapServer` | `signOn(java.lang.String userName, java.lang.String password, java.lang.String domainName, java.lang.String eesUrl, java.lang.String olapServerName)` Signs on and connects to the specified olap server.

Field Detail

### JAPI_VERSION

    public static final java.lang.String JAPI_VERSION

  Essbase JAPI version.

Method Detail

### getApiVersion

    public java.lang.String getApiVersion()
                                   throws EssException

  Gets the version of the Essbase JAPI.

  Returns:
    The JAPI version.
  Throws:
    `EssException` - if an error occurs.

### getApiVersionDetail

    public java.lang.String getApiVersionDetail()
                                         throws EssException

  Gets details about this JAPI version and the compatibility info with the client it is compiled with.

  Returns:
    The JAPI version details.
  Throws:
    `EssException` - if an error occurs.

### getUserName

    public java.lang.String getUserName()
                                 throws EssException

  Gets the name of the signed on user name.

  Returns:
    The signed on user name.
  Throws:
    `EssException` - if an error occurs.

### getDomainName

    public java.lang.String getDomainName()
                                   throws EssException

  Gets the name of the signed on Essbase domain name.

  Returns:
    The signed on domain name.
  Throws:
    `EssException` - if an error occurs.

### isGlobalClientCachingEnabled

    public boolean isGlobalClientCachingEnabled()
                                         throws EssException

  Checks if global client caching is enabled.

  Returns:
    true if global client caching is enabled.
  Throws:
    `EssException` - if an error occurs.

### setGlobalClientCachingEnabled

    public void setGlobalClientCachingEnabled(boolean enableCaching)
                                       throws EssException

  Sets if global client caching is enabled. When a new Object is created in the object hierarchy of this API instance, it inherits this flag as part of its initial object caching status. But each individual object can be set to have a different caching status than the global status, at any time after the creation, and later takes precedence over the global status.

  Parameters:
    `enableCaching` - true if global caching is to be enabled.
  Throws:
    `EssException` - if an error occurs.

### isSecureCommunicationEnabled

    public boolean isSecureCommunicationEnabled()
                                         throws EssException

  Checks if secure communication (SSL) is enabled. (FUTURE USE)

  Returns:
    true if secure communication is enabled.
  Throws:
    `EssException` - if an error occurs.

### setSecureCommunicationEnabled

    public void setSecureCommunicationEnabled(boolean secureCommunication)
                                       throws EssException

  Sets if secure communication (SSL) is enabled. (FUTURE USE) Secure communication can be enabled or disabled at any execution point of your client program and as many times as needed. For eg, here is a sequence of operations: enable secure communication, sign on, list users, disable secure communication, list groups. In this example, sign on and list users are secure and list groups is not. Be aware that the secure communication has a little performance overhead, becase of encoding and other security related handshakes, between the JAPI client and the enterprise server. Also, for secure communication to work, the enterprise server has to be configured to enable secure communication. By default, secure communication is not enabled.

  Parameters:
    `secureCommunication` - true if secure communication is to be enabled.
  Throws:
    `EssException` - if an error occurs.

### getNetRetryCount

    public int getNetRetryCount()
                         throws EssException

  Gets the count of maximum retry attempts in case a connection cannot be established with the EDS server. This method can be used anytime before or after sign on.

  Returns:
    The count of maximum retry attempts.
  Throws:
    `EssException` - if an error occurs.

### setNetRetryCount

    public void setNetRetryCount(int netRetryCnt)
                          throws EssException

  Sets the count of maximum retry attempts in case a connection cannot be established with the EDS server. This method can be used anytime before or after sign on. If you get 'connection refused' errors adjust this value till you don't see the error.

  Parameters:
    `netRetryCnt` - The count of maximum retry attempts.
  Throws:
    `EssException` - if an error occurs.

### getNetRetryInterval

    public int getNetRetryInterval()
                            throws EssException

  Gets the interval (in milliseconds) between retry attempts in case a connection cannot be established with the EDS server. This method can be used anytime before or after sign on.

  Returns:
    The interval between retry attempts.
  Throws:
    `EssException` - if an error occurs.

### setNetRetryInterval

    public void setNetRetryInterval(int netRetryInvl)
                             throws EssException

  Sets the interval (in milliseconds) between retry attempts in case a connection cannot be established with the EDS server. This method can be used anytime before or after sign on. If you get 'connection refused' errors adjust this value till you don't see the error.

  Parameters:
    `netRetryInvl` - The interval between retry attempts.
  Throws:
    `EssException` - if an error occurs.

### isDedicatedServerThreadNeeded

    public boolean isDedicatedServerThreadNeeded()
                                          throws EssException

  Checks if this JAPI client needs dedicated server thread for the lifetime of the session. This method is useful only for orb plugin type of tcp/ip.

  Returns:
    true if this JAPI client needs dedicated server thread (i.e thread per session for this JAPI client).
  Throws:
    `EssException` - if an error occurs.
  Since:
    6.5.3

### setDedicatedServerThreadNeeded

    public void setDedicatedServerThreadNeeded(boolean needDedicatedServerThread)
                                        throws EssException

  Sets if this JAPI client needs dedicated server thread for the life time of the session. If you pass true to the argument, the server will try to dedicate a thread (thread per session for this client) but it is not guaranteed. If you pass false to the argument, the server will switch to thread per operation for this client. You can invoke this method with different values for the parameter several times during the lifetime of the session. If your system will have only a fewer number of clients, having dedicated server thread per client will improve performance. This method will work only for orb plugin type of tcp/ip, and will not have any effect for http, ejb or corba. Invoke this method before invoking signOn().

  Parameters:
    `needDedicatedServerThread` - true to let the server know to dedicate a thread for this JAPI client.
  Throws:
    `EssException` - if an error occurs.
  Since:
    6.5.3

### isAssertionsEnabled

    public boolean isAssertionsEnabled()
                                throws EssException

  Checks if assertions are enabled.

  Returns:
    true if assertions are enabled.
  Throws:
    `EssException` - if an error occurs.
  Since:
    6.5.3

### setAssertionsEnabled

    public void setAssertionsEnabled(boolean assertionsEnabled)
                              throws EssException

  Sets if assertions are enabled. Ideally you may want to enable assertions during development and testing phase, and disable assertions at production. Disabling the assertions will improve the performance. Assetions are enabled by default.

  Parameters:
    `assertionsEnabled` - true if assertions are enabled.
  Throws:
    `EssException` - if an error occurs.
  Since:
    6.5.3

### getLocationInfoForRunningEnterpriseServers

    public IEssLocationInfo[] getLocationInfoForRunningEnterpriseServers()
                                                                  throws EssException

  Gets the location information for the running Enterprise server instances. You can invoke this method before or after sign on. This method will not detect enterprise servers on the other side of the firewall, and can only be used inside an intranet.

  Returns:
    The list of location information of enterprise servers.
  Throws:
    `EssException` - if an error occurs.

### signOn

    public IEssDomain signOn(java.lang.String userName,
                             java.lang.String password,
                             java.lang.String domainName,
                             java.lang.String prefEesSvrName,
                             IEssbase.EEssOrbPluginType orbPluginType,
                             int port)
                      throws EssException

  Signs on the user to the essbase domain.

  Parameters:
    `userName` - The user name.
    `password` - The user password.
    `domainName` - The hierachical name of the domain.
    `prefEesSvrName` - The preferred essbase enterprise server name.
    `orbPluginType` - The orb plugin type.
    `port` - Port number where enterprise server is installed. This param is to be specified only if the orbPluginType is HTTP, EJB or TCPIP. Just pass 0 for other types.
  Returns:
    The signed on domain.
  Throws:
    `EssException` - if an error occurs.

### signOn

    public IEssDomain signOn(java.lang.String cssToken,
                             java.lang.String domainName,
                             java.lang.String prefEesSvrName,
                             IEssbase.EEssOrbPluginType orbPluginType,
                             int port)
                      throws EssException

  Signs on the user to the essbase domain.

  Parameters:
    `cssToken` - The token from prior CSS authentication.
    `domainName` - The hierachical name of the domain.
    `prefEesSvrName` - The preferred essbase enterprise server name.
    `orbPluginType` - The orb plugin type.
    `port` - Port number where enterprise server is installed. This param is to be specified only if the orbPluginType is HTTP, EJB or TCPIP. Just pass 0 for other types.
  Returns:
    The signed on domain.
  Throws:
    `EssException` - if an error occurs.

### signOn

    public IEssDomain signOn(java.lang.String userName,
                             java.lang.String password,
                             java.lang.String domainName,
                             java.lang.String eesUrl)
                      throws EssException

  Signs on the user to the essbase domain. This method can be used if you want to communicate to essbase enterprise server running as a servlet, using http.

  Parameters:
    `userName` - The user name.
    `password` - The user password.
    `domainName` - The hierachical name of the domain.
    `eesUrl` - The url of the essbase enterprise server servlet or tcpip server. For tcpip server pass for e.g tcpip://localhost:5001
  Returns:
    The signed on domain.
  Throws:
    `EssException` - if an error occurs. Error codes: IEssException.ERROR_INVALID_USER_OR_PASSWORD.

### signOn

    public IEssDomain signOn(java.lang.String cssToken,
                             java.lang.String domainName,
                             java.lang.String edsUrl)
                      throws EssException

  Signs on the user to the essbase domain. This method can be used if you want to communicate to essbase enterprise server running as a servlet, using http.

  Parameters:
    `cssToken` - The token from prior CSS authentication.
    `domainName` - The hierachical name of the domain.
    `edsUrl` - The url of the essbase deployment server servlet or tcpip server. For tcpip server pass for e.g tcpip://localhost:5001
  Returns:
    The signed on domain.
  Throws:
    `EssException` - if an error occurs.

### signOn

    public IEssOlapServer signOn(java.lang.String userName,
                                 java.lang.String password,
                                 java.lang.String domainName,
                                 java.lang.String eesUrl,
                                 java.lang.String olapServerName)
                          throws EssException

  Signs on and connects to the specified olap server.

  Parameters:
    `password` - The password.
    `domainName` - The EDS domain name.
    `olapServerName` - The host name where the analytic server is running.
  Returns:
    The olap server object.
  Throws:
    `EssException` - if an error occurs.

### getCssToken

    public java.lang.String getCssToken()
                                 throws EssException

  Gets the token associated with CSS authentication. Non null value is returned for EEssAuthenticatorType of CSS and null value is returned for the rest.

  Returns:
    Token for CSS authentication.
  Throws:
    `EssException`

### restoreCssToken

    public java.lang.String restoreCssToken(java.lang.String token)
                                     throws EssException

  Restores a timed out CSS token by resetting the timeout counter in the token, thereby extending the life of the token for future usage.

  Parameters:
    `token` - The timed out token.
  Returns:
    The new token.
  Throws:
    `EssException`

### getSessions

    public IEssSession[] getSessions()
                              throws EssException

  Gets information about sessions of all the users signed on to EDS server.

  Returns:
    The sessions.
  Throws:
    `EssException` - if an error occurs.

### signOff

    public void signOff()
                 throws EssException

  Signs off the user from the Essbase domain.

  Throws:
    `EssException` - if an error occurs.

### isSignedOn

    public boolean isSignedOn()
                       throws EssException

  Checks if the user is signed on to a domain.

  Returns:
    true, if the user is signed on.
  Throws:
    `EssException` - if an error occurs.

### getRootDomain

    public IEssDomain getRootDomain()
                             throws EssException

  Gets the root domain of the domain forest.

  Returns:
    The root Essbase domain.
  Throws:
    `EssException` - if an error occurs.

### changePassword

    public void changePassword(java.lang.String newPassword)
                        throws EssException

  Changes the password for the signed on user.

  Parameters:
    `newPassword` - The new password.
  Throws:
    `EssException` - if an error occurs.

### createIEssValueAny

    public IEssValueAny createIEssValueAny()
                                    throws EssException

  Creates an object for the interface IEssValueAny.

  Returns:
    The IEssValueAny interface.
  Throws:
    `EssException` - if an error occurs.

### createIEssCollection

    public IEssCollection createIEssCollection()
                                        throws EssException

  Creates an object for the interface IEssCollection.

  Returns:
    The IEssCollection interface.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD